/* $Id: ship.h 6560 2006-09-28 18:42:35Z peter1138 $ */

#ifndef SHIP_H
#define SHIP_H

#include "vehicle.h"

void CcCloneShip(bool success, TileIndex tile, uint32 p1, uint32 p2);

static inline bool IsShipInDepot(const Vehicle* v)
{
	assert(v->type == VEH_Ship);
	return v->u.ship.state == 0x80;
}

static inline bool IsShipInDepotStopped(const Vehicle* v)
{
	return IsShipInDepot(v) && v->vehstatus & VS_STOPPED;
}

#endif /* SHIP_H */
